[arch-commits] Commit in python-oslo-serialization/repos (2 files)

Felix Yan felixonmars at archlinux.org
Thu Jul 19 03:49:22 UTC 2018


    Date: Thursday, July 19, 2018 @ 03:49:22
  Author: felixonmars
Revision: 362338

archrelease: copy trunk to community-staging-any

Added:
  python-oslo-serialization/repos/community-staging-any/
  python-oslo-serialization/repos/community-staging-any/PKGBUILD
    (from rev 362337, python-oslo-serialization/trunk/PKGBUILD)

----------+
 PKGBUILD |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

Copied: python-oslo-serialization/repos/community-staging-any/PKGBUILD (from rev 362337, python-oslo-serialization/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-07-19 03:49:22 UTC (rev 362338)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-oslo-serialization
+pkgname=(python-oslo-serialization python2-oslo-serialization)
+pkgver=2.27.0
+pkgrel=2
+pkgdesc="Oslo Serialization library"
+arch=('any')
+url="http://docs.openstack.org/developer/oslo.serialization"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-babel'
+             'python2-babel' 'python-msgpack' 'python2-msgpack' 'python-oslo-utils'
+             'python2-oslo-utils' 'python-pytz' 'python2-pytz')
+checkdepends=('python-oslotest' 'python2-oslotest' 'python2-ipaddress'
+              'python-testrepository' 'python2-testrepository')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.serialization/archive/$pkgver.tar.gz")
+sha512sums=('46cec3ad6b2bf256484539d38cb38dc71c234e8101be08416ea8c6253f388014904faf81254d768fc27f6611bf0e9e03f580c0c7dc9187a2db3debf9075ecee1')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  cp -a oslo.serialization-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/oslo.serialization-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/oslo.serialization-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/oslo.serialization-$pkgver
+  python setup.py testr || warning "Tests failed"
+
+  cd "$srcdir"/oslo.serialization-$pkgver-py2
+  PYTHON=python2 python2 setup.py testr
+}
+
+package_python-oslo-serialization() {
+  depends=('python-six' 'python-pbr' 'python-babel' 'python-msgpack' 'python-oslo-utils'
+           'python-pytz')
+
+  cd "$srcdir"/oslo.serialization-$pkgver
+  python setup.py install --root="$pkgdir/" --optimize=1
+}
+
+package_python2-oslo-serialization() {
+  depends=('python2-six' 'python2-pbr' 'python2-babel' 'python2-msgpack' 'python2-oslo-utils'
+           'python2-pytz')
+
+  cd "$srcdir"/oslo.serialization-$pkgver-py2
+  python2 setup.py install --root="$pkgdir/" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list